Upsert Opportunity

http
POST https://services.leadconnectorhq.com/opportunities/upsert

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
idstringNoyWQobCRIhRguQtD2llvkopportunityId
pipelineIdstringYesbCkKGpDsyPP4peuKowkGpipeline Id
locationIdstringYesCLu7BaljjqrEjBGKTNNelocationId
followersstring[]YesLiKJ2vnRg5ETM8Z19K7contactId
isRemoveAllFollowersbooleanYesTrueisRemoveAllFollowers
followersActionTypestringYesaddfollowers action type Possible values: 'add', 'remove'
namestringNoopportunity namename
statusstringNoPossible values: 'open', 'won', 'lost', 'abandoned', 'all'
pipelineStageIdstringNo7915dedc-8f18-44d5-8bc3-77c04e994a10
monetaryValueobjectNo220
assignedTostringNo082goXVW3lIExEQPOnd3
lostReasonIdstringNoCLu7BaljjqrEjBGKTNNelost reason Id

Responses

200 - Successful response
  • opportunity (object, required): Updated / New Opportunity

  • new (boolean, required): Example: True

json
{
  "opportunity": {},
  "new": true
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/opportunities/upsert' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "id": "yWQobCRIhRguQtD2llvk",
  "pipelineId": "bCkKGpDsyPP4peuKowkG",
  "locationId": "CLu7BaljjqrEjBGKTNNe",
  "followers": "LiKJ2vnRg5ETM8Z19K7",
  "isRemoveAllFollowers": true,
  "followersActionType": "add",
  "name": "opportunity name",
  "status": "open",
  "pipelineStageId": "7915dedc-8f18-44d5-8bc3-77c04e994a10",
  "monetaryValue": 220,
  "assignedTo": "082goXVW3lIExEQPOnd3",
  "lostReasonId": "CLu7BaljjqrEjBGKTNNe"
}'

Last updated October 26, 2026

Was this page helpful?